
CoCoALib - Bug #793

compilation on fedora 23: some worrying "error messages"

02 Nov 2015 15:01 - John Abbott

Status: Closed Start date: 02 Nov 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Makefile Estimated time: 3.10 hours

Target version: CoCoALib-0.99560 Spent time: 1.60 hour

Description

Compilation on the new computer (with fedora 23, due for release tomorrow ?!!? according to Wikipedia) produced several worrying

messages in TmpFactorDir saying Fatal error; compilation terminated   However, compilation proceeds anyway!

History

#1 - 03 Nov 2015 11:34 - John Abbott

I shall try to investigate this, but it may take a long time.  The new computer seems to be quite fast (e.g. more than twice as fast as my old portable),

but it takes ages to compile: compiling and linking one example took about 1 minute real time (about about 1 sec CPU time).

#2 - 03 Nov 2015 12:56 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

The new computer took 100mins to compile and run the examples.  Just running the examples takes only 30secs.

#3 - 03 Nov 2015 14:45 - Anna Maria Bigatti

John Abbott wrote:

The new computer took 100mins to compile and run the examples.  Just running the examples takes only 30secs.

 

...  get a new portable (remember: use or lose it ;-)

Jokes apart: I think we should not worry too much about a machine with no local disk (I guess that's where the problem is)

#4 - 03 Nov 2015 15:00 - John Abbott

I'm recompiling (with full debugging), and the mysterious Fatal error messages have not reappeared; and anyway despite them, the first compilation

completed, and the tests passed... very odd!

#5 - 03 Nov 2015 16:15 - John Abbott

I'm compiling some other programs; compilation time varies from 2mins to almost 5mins.  I'll ask the technical guy if this is normal.  Actually I think it is

the linking which is taking so long... I don't think we can do anything about this (except perhaps remove lots of functions from CoCoALib, which is

hardly practical).

#6 - 05 Nov 2015 16:01 - John Abbott
- % Done changed from 0 to 10

- Estimated time set to 3.10 h

The Fatal error messages appeared once again when I tried building CoCoALib from a new unpackaged tar file.  The errors about about the file

gmp.h not being found during the creation of the dependency files.

I configured using a non-installed version of GMP-6.1.0.

Anyway, the internal dependencies should be independent of where the CoCoA source tree is.

#7 - 22 Sep 2016 16:16 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

I have not noticed this problem lately.  It wouldn't surprise me to find that it is due to the "wobbly" remote file system.

Closing.

#8 - 15 Dec 2017 16:59 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99560
